


help lang       % pomoc o naredbama za upravljanje toka programa


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% IF kontrolna struktura 
% odgovara na pitanje ako  onda  ina?e:

% Sintaksa:

%if {relacija} {naredbe} end

% ili jo op?enitije:

% if {relacija}
% {naredbe}
% elseif { relacija }
% { naredbe }
% else
% { naredbe }
% end

% primjer 1

PrviBroj=2;
DrugiBroj=1;

if PrviBroj>DrugiBroj
    disp('prvi broj je veci od drugog')
    a=3;
    b=a+1;
elseif PrviBroj<DrugiBroj
    disp('prvi broj je manji od drugog')
else
    disp('mora biti da su brojevi jednaki')
end

% primjer 2

A=rand(3,3);

[BrojRedaka,BrojStupaca]=size(A);
if BrojRedaka==BrojStupaca
    disp('Matrica je kvadratna')
elseif BrojRedaka>BrojStupaca
    disp('Matrica je visoka')
else 
    disp('Matrica je siroka')
end
    
% primjer 3
% ne mora se nuzno koristiti "elseif" i "else" dio

a=10;
b=1;
if a>3
    if b<5
    c=a+b;
    end
end
c

if a>3 & b<5
    c=a*b
end



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FOR petlja. 

% Sintaksa:

% for {varijabla} = {vektor vrijednosti brojila}
% {naredba/-e}
% end

% primjer 1:

clear x
for i=1:100
   x(i)=i^2;
end


% primjer 2:

clear a
for i=1:5
   for j=1:5
    a(i,j)=1/(i+j-1)
   end
end

aa=hilb (5)

help hilb


% primjer 3:

v=rand(1,10)
for k=v             
    k
end

% primjer 4:

n=4;
clear A
for i=1:n
    for j=1:n
        if i < j
            A(i,j)=-1;
        elseif i > j
            A(i,j)=0;
        else
            A(i,j)=1;
        end
    end
end
A

% primjer 5: 
% iz zadane matrice M izvuci najveci element

M=10*rand(5,5)

[BrojRedaka,BrojStupaca]=size(M);

NajveciElement=M(1,1);
for i=1:BrojRedaka
    for j=1:BrojStupaca
        if M(i,j)>NajveciElement
            NajveciElement=M(i,j);
        end
    end
end
NajveciElement


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% WHILE petlja 
% odgovara na pitanje 'sve dok je istina  ?ini':

% Sintaksa:

% while {relacije}
% {naredbe}
% end


% primjer 1:

i=1;
while i<=10
    i
    i=i+1;
end


% primjer 2:

j=1;
clear k
while j <= 10
    k(j)=cos(j*pi);
    j=j+1;
end
k
% usporedi sa:
kk=cos((1:10)*pi)


% primjer 3: 
% Na?i najmanji pozitivni
% cijeli broj q za koji
% vrijedi 2^(-q )= 0:

x=1; q=0;
while x>0
x=x/2; q=q+1;
end
q

2^(-q)==0
2^(-(q-1))==0


% primjer 4:
% program koji racuna "stojni epsilon"

StrEps=1;
while 1+StrEps > 1
    StrEps=StrEps/2
end
StrEps=StrEps*2  % za ovaj broj 1+StrEps je jos uvijek razlicito od 1
eps

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SWITCH struktura 
% izabire vrijednost izme?u vie ponu?enih izraza.

% Sintaksa:

% switch {izraz}
% case {slu?aj_1},
% naredba, ..., naredba
% case {slu?aj2, slu?aj3, ...}
% naredba, ..., naredba
% ...
% otherwise,
% naredba, ..., naredba
% end

help switch

% Izraz moe biti skalar ili string.


%%%%%%%
% primjer 1

MojBroj = 10;

switch MojBroj 
    case -1
        disp('Tvoj broj je -1');
    case 0
        disp('Tvoj broj je nula');
    case 1
        disp('Tvoj broj je 1');
    otherwise
        disp('Ne znam koji je tvoj broj, ali nije -1,0 ili 1');
end

%%%%%%
% primjer 2


rezultat= 5;

switch(rezultat)
   case 5
      disp('result je 5')
   case {5, 7}
      disp('rezultat je 5 ili 7')
    otherwise
        disp('ne znam nista o rezultatu')
end


%%%%%%%%%
% primjer 3


method = 'bilinear';
switch lower(method)            % vidi help lower
    case {'linear','bilinear'}
        disp('Method is linear')
    case 'cubic'
        disp('Method is cubic')
    case 'nearest'
        disp('Method is nearest')
    otherwise
        disp('Unknown method.')
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% INPUT naredba:
% x=input('neki tekst')
% dozvoljava interaktivan unos za x varijablu u izvo?enju programa. Na zaslonu se pritom ispisuje neki tekst.
% x=input('neki tekst',s)
% sprema uneseni tekst kao string u varijablu x.

% primjer:

n=input(' unesi cijeli broj n = ');
v=(1:2:n).^2





